Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Beginner
35 Views

Unable to install on OSX 10.9

I downloaded the MKL for OSX but am unable to install it. Clicking on the installer opens an empty window with all buttons greyed out. I tried running the installer form the command line and the problem seems to be connected to Java:

$ ./install.sh 
In JPanelLicenseOptions
Inside JPanelRegistrationBegin
Calling initComponents
Calling initializePanel
/tmp/intel/se/channel/msg/../msg/20151115173351155,0,Core,0,SmartEngineJavaGUI
Exception in thread "Thread-0" java.lang.NoClassDefFoundError: org/apache/xpath/XPathAPI
	at com.intel.ISSA.GUI.CoreAdapter.MessageReader.getCoreState(MessageReader.java:142)
	at com.intel.ISSA.GUI.CoreAdapter.MessageReader.run(MessageReader.java:45)
Caused by: java.lang.ClassNotFoundException: org.apache.xpath.XPathAPI
	at java.net.URLClassLoader.findClass(URLClassLoader.java:381)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:331)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	... 2 more

I am running OSX 10.9 and Java 1.8_066-b17.

As a side comment, using this forum is quite frustrating. I'm unable to attach an image to my post with Safari and I've lost my post twice already while trying.

0 Kudos
9 Replies
Highlighted
Employee
35 Views

Hi Dominique O.

Sorry for this and this website. (you may click attach button at the below of the page to attach image). 

What the insall package name of MKL are you installed?  

I supposed you may have parallel  studio Xe composer edition 2016 version for Mac 10.9. 

Here is one guide for silent install.  If you have  root right and you can  refer the article to install mkl. 

https://software.intel.com/en-us/articles/silent-installation-guide-for-intel-parallel-studio-xe-com...

Best Regards,

Ying 

0 Kudos
Highlighted
Beginner
35 Views

Ying, thanks for your reply. I downloaded the MKL only: m_mkl_p_10.0.5.025.dmg. When I mount the disk image, there is no silent.cfg to be found:

$ hdiutil attach ~/Downloads/m_mkl_p_10.0.5.025.dmg
$ cd /Volumes/m_mkl_p_10.0.5.025
$ find . -name "silent.cfg"
$

Can a `silent.cfg` with the same structure as for Studio Composer be used?

For reference:

$ ls -R
Install.app
Install.txt
MKL_EULA.txt
Readme.txt
Release_Notes.htm
chklic.Mac.ia32
install.sh
instman
launch.sh
setup

./Install.app:
Contents

./Install.app/Contents:
Info.plist
MacOS
PkgInfo
pbdevelopment.plist

./Install.app/Contents/MacOS:
Install

./instman:
SmartEngineJavaGUI.jar
desc.txt
docs
libxerces-c1_7_0.dylib
licenses
mediaconfig.xml
pre_sinstall.sh
seapp.config
searc.dat
secore
si_secore

./instman/docs:
SetupIcon.ico
license.html
license.txt
privacy.html
privacy.txt
proxy.html
proxy.txt
serialhelp.html
serialhelp.txt

./instman/licenses:
ares
axis
expat
openssl
xerces

./instman/licenses/ares:
README
license

./instman/licenses/axis:
Copyright.txt
LICENSE

./instman/licenses/expat:
COPYING
README

./instman/licenses/openssl:
license.txt
readme.txt

./instman/licenses/xerces:
Copyright.txt
LICENSE.txt

./setup:
mkl_p_10.0.5.025.pkg

./setup/mkl_p_10.0.5.025.pkg:
Contents

./setup/mkl_p_10.0.5.025.pkg/Contents:
Archive.bom
Archive.pax.gz
Info.plist
PkgInfo
Resources

./setup/mkl_p_10.0.5.025.pkg/Contents/Resources:
BundleVersions.plist
English.lproj
InstallationCheck
chklic
mkl_p_10.0.5.025.bom
mkl_p_10.0.5.025.pax.gz
mkl_p_10.0.5.025.sizes
package_version
postflight

./setup/mkl_p_10.0.5.025.pkg/Contents/Resources/English.lproj:
Description.plist
InstallationCheck.strings
License.txt
Welcome.txt
background.gif
mkl_p_10.0.5.025.info

 

ps: using "Attach" to attach an image didn't work, and that is how I lost my original post several times. Perhaps it's an issue with Safari.

0 Kudos
Highlighted
Employee
35 Views

Hi Dominique O.

I see, m_mkl_p_10.0.5.025.dmg may not support the Mac OS 10.9.  Do you have to use the version? 

or  can you download one latest version from registrationcenter.intel.com/. 

Best Regards,

Ying 

0 Kudos
Highlighted
Beginner
35 Views

How can I do that? In Registration Center, all I see is version 10.0(5). I registered for the free academic products, and I can't see any other version. Am I missing something?

Thanks.

0 Kudos
Highlighted
Employee
35 Views

Hi Dominique O.

Sorry for the delay, we are working for prepare one  Mac OS version. You may download from

http://registrationcenter-download.intel.com/akdlm/irc_nas/8295/m_mkl_2016.1.043.dmg

Best Regards,

Ying

0 Kudos
Highlighted
Beginner
35 Views

Ying,

Many thanks! That is awesome. I am wondering though if Intel would consider also supporting OSX 10.9 (Mavericks). Currently, the installer insists on 10.10 (Yosemite).

Best,

Dominique

0 Kudos
Highlighted
Beginner
35 Views

I tried the silent installation method, but it also fails with the message

$ sudo ./install.sh --silent /tmp/silent.cfg 
Password:
There are one or more critical unresolved issues which prevent setup from
continuing.  Fix them and run the setup program again.
--------------------------------------------------------------------------------
Missing critical prerequisite
-- Unsupported OS
--------------------------------------------------------------------------------

However, the system requirements page https://software.intel.com/en-us/articles/intel-mkl-113-system-requirements state that OSX 10.9 is supported.

Thanks in advance.

0 Kudos
Highlighted
35 Views

I am having the same problem. OS X 10.9 support would be good.

 

Unsupported OS
Detected operating system is not supported. Supported operating systems for this release are:

  • OS X* 10.10 (Intel(R) 64), 10.11 (Intel(R) 64)
0 Kudos
Highlighted
Employee
35 Views

Deal all,

Sorry for the inaccurate message. the system requirements page is not correct, the MKL 11.3 version support 10.10 and 10.11, not 10.9 and 10.10 as mentioned.

But early version of MKL, like parallel studio 2015 should support MKL 10.9. I will send the download link to you if required.

Thanks

Ying

 

0 Kudos